- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Main::Show Class Reference

A private implementation class used by Main::CommandLineImp. More...

## Public Member Functions
| Show (Main::Output &, bool e)
std::ostream & | s ()
| ~Show ()

## Detailed Description

A private implementation class used by Main::CommandLineImp.

Definition at line 87 of file commandline_full.cpp.

## Constructor & Destructor Documentation

Main::Show::Show | ( | Main::Output & | output,
|  | bool | e
| ) |  |

Definition at line 580 of file commandline_full.cpp.

Main::Show::~Show | ( |  | ) |

Definition at line 593 of file commandline_full.cpp.

## Member Function Documentation

std::ostream & Main::Show::s | ( |  | ) |

Definition at line 588 of file commandline_full.cpp.

Referenced by Main::CommandLineImp::showArgcError(), Main::CommandLineImp::showBanner(), Main::CommandLineImp::showCapabilities(), Main::CommandLineImp::showCopyright(), Main::CommandLineImp::showCredit(), Main::CommandLineImp::showError(), Main::CommandLineImp::showExtraHelp(), Main::CommandLineImp::showHelp(), Main::CommandLineImp::showNoop(), Main::CommandLineImp::showSemanticError(), Main::CommandLineImp::showShortHelp(), Main::CommandLineImp::showTestFeatures(), Main::CommandLineImp::showUsage(), Main::CommandLineImp::showUsageErrors(), and Main::CommandLineImp::showWarranty().

The documentation for this class was generated from the following file:

- commandline_full.cpp